export declare class SpwFooter {
    el: HTMLSpwFooterElement;
    /** Nombre de colonnes à afficher en vue mobile */
    colsMobile: number;
    /** Nombre de colonnes à afficher en vue tablette */
    colsTablet: number;
    /** Nombre de colonnes à afficher en vue desktop */
    colsDesktop: number;
    private emitFooterCols;
    configurationChanged(): void;
    componentDidLoad(): void;
    render(): any;
}
